com.sun.jna.platform.unix.solaris

## Class Kstat2.Kstat2NV.UNION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.unix.solaris.Kstat2.Kstat2NV.UNION

Enclosing class:
  Kstat2.Kstat2NV

    public static class Kstat2.Kstat2NV.UNION
    extends Union

### Nested Class Summary

Nested Classes
`static class` `Kstat2.Kstat2NV.UNION.IntegersArr`
`static class` `Kstat2.Kstat2NV.UNION.StringsArr`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Kstat2.Kstat2NV.UNION.IntegersArr` `integers`
`long` `integerVal`
`Kstat2.Kstat2Map` `map`
`Kstat2.Kstat2NV.UNION.StringsArr` `strings`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UNION()`

### Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### map

    public Kstat2.Kstat2Map map

#### integerVal

    public long integerVal

#### integers

    public Kstat2.Kstat2NV.UNION.IntegersArr integers

#### strings

    public Kstat2.Kstat2NV.UNION.StringsArr strings

### Constructor Detail

#### UNION

    public UNION()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.